declare const _sfc_main: import("vue").DefineComponent<{
    theme: {
        type: StringConstructor;
        default: string;
    };
    drillingMode: {
        type: StringConstructor;
        default: string;
    };
    pageMode: {
        type: StringConstructor;
        default: string;
    };
    scaleValue: {
        type: ObjectConstructor;
        default: () => {};
    };
    pivotTableFontSize: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    drillDetailUrl: {
        type: StringConstructor;
        default: string;
    };
    isShowMask: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    indDetailInfo: {
        keyName: string;
        visible: boolean;
        dataSource: any[];
        columns: any[];
        title: string;
        pagination: {
            current: number;
            pageSize: number;
            total: number;
            showSizeChanger: boolean;
            showQuickJumper: boolean;
            showLessItems: boolean;
            showTotal: (total: number) => string;
        };
    };
    pivotTableConfig: any;
    pivotTableStyle: import("vue").ComputedRef<{
        width: any;
        height: any;
    }>;
    detailBodyStyle: import("vue").ComputedRef<{
        padding: string;
        height?: undefined;
        overflow?: undefined;
    } | {
        height: string;
        overflow: string;
        padding?: undefined;
    } | {
        padding?: undefined;
        height?: undefined;
        overflow?: undefined;
    }>;
    wrapClassName: import("vue").ComputedRef<string>;
    isIndFullScreen: import("vue").Ref<boolean>;
    isMobile: boolean;
    conditionInfo: import("vue").Ref<any[]>;
    indicatorUrl: import("vue").ComputedRef<any>;
    allDimensions: import("vue").Ref<any[]>;
    requestLoading: import("vue").Ref<boolean>;
    isLoadedTable: import("vue").Ref<boolean>;
    pivotTableRef: import("vue").Ref<any>;
    lastDetailRef: import("vue").Ref<any>;
    subDrillModalRef: import("vue").Ref<any>;
    theDateInfo: any;
    isShowSubDrillModal: import("vue").Ref<boolean>;
    normalTableUnits: import("vue").Ref<{}>;
    drillConditions: import("vue").ComputedRef<{
        label: any;
        typeGuid: any;
        rule: any;
        value: any;
    }[]>;
    allComponentList: any[];
    tableFontSize: import("vue").ComputedRef<string>;
    tableScroll: import("vue").Ref<any>;
    tableRef: import("vue").Ref<any>;
    summaryList: import("vue").Ref<any[]>;
    summaryHeight: number;
    isShowDetailMpdal: import("vue").Ref<boolean>;
    defaultValue: string;
    getContainer: () => Element;
    toggleFullScreen: () => void;
    onDetailCancel: () => void;
    onPivotTableChange: ({ type, data }: {
        type: any;
        data: any;
    }) => void;
    handleTableChange: () => void;
    onCloseDetailModal: () => void;
    onCloseModal: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    theme: {
        type: StringConstructor;
        default: string;
    };
    drillingMode: {
        type: StringConstructor;
        default: string;
    };
    pageMode: {
        type: StringConstructor;
        default: string;
    };
    scaleValue: {
        type: ObjectConstructor;
        default: () => {};
    };
    pivotTableFontSize: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    drillDetailUrl: {
        type: StringConstructor;
        default: string;
    };
    isShowMask: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    pageMode: string;
    width: string;
    theme: string;
    scaleValue: Record<string, any>;
    drillingMode: string;
    pivotTableFontSize: number;
    drillDetailUrl: string;
    isShowMask: boolean;
}>;
export default _sfc_main;
